<?
/** 
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
 */
 if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
$action = $_GET['action'];

switch ($action){
	default :
		$pass2 = $_GET['pass2'];
		
		if( $sendsv === false ) { echo "Tốc độ xử lý của bạn quá nhanh, vui lòng chờ vài giây rồi tiếp tục thực hiện."; }
		elseif(empty($pass2)) {
			echo "<font color='red'>Chưa nhập mật khẩu.</font><br>";
		}
		elseif (!preg_match("/^[a-zA-Z0-9_]*$/i", $pass2)){
			echo "<font color='red'>Dữ liệu lỗi - Mật khẩu chỉ được sử dụng kí tự a-z, A-Z, số (1-9).</font><br>";
		}
		else {
		
			$getcontent_url = $server_url . "/sv_char.php";
			$getcontent_data = array(
					'login'    =>  $_SESSION['mu_username'],
					'name'    =>  $_SESSION['mu_nvchon'],
					'pass2'    =>  $pass2,
					
					'action'	=>	$action,
					'pagesv'	=>	'sv_char_relife2kimcuong',
					'string_login'    =>  $_SESSION['checklogin'],
					'passtransfer'    =>  $passtransfer
			);
			
			$reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
			
			if ( empty($reponse) ) $notice = "Server bảo trì.";
			elseif($reponse == "login_other") {
				echo "Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.";
				session_destroy();
			}
			else {
				$reponse_explode = explode('<vweb>', $reponse);
				if($reponse_explode[1] == 'OK') {
					$_SESSION['nv_relife'] = $reponse_explode[3];
				}
				
				echo $reponse;
			}
		}
}
?>